Subject: Re(forgot orig subj, about windres)
From: [email-masked] (Bart Anderson)

11 Jan 1998 08:07:47 -0800
Message-ID: <[email-masked]>
Content-Type: text
To: [email-masked]

 From: banders <[email-masked]>
 X-Mailer: Mozilla 3.0Gold (Win95; I)
 MIME-Version: 1.0
 To: Vincenzo Canestrale <[email-masked]>
 CC: [email-masked]
 Subject: Re: Please help!  [NBY]
 References: <[email-masked]>
 Content-Type: text/plain; charset=us-ascii
 Content-Transfer-Encoding: 7bit
 
 windres input.rc output.o
 windres input.res output.o
 
 I believe windres is sensitive to the type of the file and reacts
 appropriately. So maybe even windres input.rc output.res
 Then for your case, try windres Menu.c Menurc.o
 
 gcc -o Menu.exe Menu.o Menurc.o -luser32 -WI, --subsystem,windows
 -lgdi32
 
 Hope this helps.
 
 Bart
 
 Vincenzo Canestrale wrote:
 > 
 > Hi Mumit,
 > 
 > I hope you can help me....
 > I downloaded, from your web site, WINDRES, DLLTOOL.EXE
 > and LIBF2C.A, but they don' work :-(
 > 
 > (WINDRES and DLLTOOL are in my BIN directory, instead
 > LIBF2C.A is in my LIB directory).
 > 
 > I have a Win95 menu program:
 > 
 > Menu.cpp
 > Menu.h
 > Menu.rc
 > 
 > I compile my Menu.cpp program. It runs but it doesn't show
 > the menu.... I'm not be able to obtain .RES file from .RC
 > file.... and then how can I link the files?
 > 
 > Now I do this
 > 
 > windres -i Menu.rc   ---------------------> it doesn't work
 > "c:\\temp\\Menu.rc:4 : parse error"
 > gcc -c -o Menu.o Menu.cpp ---------->   OK
 > gcc -o Menu.exe Menu.o -luser32 -WI, --subsystem,windows -lgdi32
 > ------------> OK
 > Menu.exe --------> the application runs but without Menu
 > 
 > Can you show me the right way to compile and to link a standard Win95
 > application
 > with .RES file?
 > 
 > Thanks for your time.
 > I thank you in advance.
 > 
 > [email-masked]
 > http://www.geocities.com/WallStreet/5385
 > -
 > For help on using this list (especially unsubscribing), send a message to
 > "[email-masked]" with one line of text: "help".
 
 -- 
 Bartlee A. Anderson     System Test (Interfaces-Tools-Automation-ISDN)
 Rockwell International                    Electronic Commerce Division
 300 Bauman Ct.                                [email-masked]
 MS 933-605      Opinions my own, not Rockwell's   VOICE (630) 227-8975
 Wood Dale, IL 60191                               FAX   (630) 227-9771
 
 --AAA26656.884501059/yooper.switch.rockwell.com--

-- 
Bartlee A. Anderson     System Test (Interfaces-Tools-Automation-ISDN)
Rockwell International                    Electronic Commerce Division
300 Bauman Ct.                                [email-masked]
MS 933-605      Opinions my own, not Rockwell's   VOICE (630) 227-8975
Wood Dale, IL 60191                               FAX   (630) 227-9771
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".